# icmp_echo_hdr Struct Reference

`#include <icmp.h>`

## Public Member Functions

| PACK_STRUCT_FIELD (uInt16 seqno)
| PACK_STRUCT_FIELD (uInt16 id)
| PACK_STRUCT_FIELD (uInt16 chksum)
| PACK_STRUCT_FIELD (uInt16 _type_code)

## Data Fields

u16_t | chksum
u8_t | icode
u16_t | id
u16_t | seqno
u8_t | type

## Detailed Description

Definition at line 76 of file icmp.h.

## Member Function Documentation

icmp_echo_hdr::PACK_STRUCT_FIELD | ( | uInt16 | seqno | ) |

icmp_echo_hdr::PACK_STRUCT_FIELD | ( | uInt16 | id | ) |

icmp_echo_hdr::PACK_STRUCT_FIELD | ( | uInt16 | chksum | ) |

icmp_echo_hdr::PACK_STRUCT_FIELD | ( | uInt16 | _type_code | ) |

## Field Documentation

u16_t icmp_echo_hdr::chksum

Definition at line 73 of file icmp.h.

u8_t icmp_echo_hdr::icode

Definition at line 72 of file icmp.h.

u16_t icmp_echo_hdr::id

Definition at line 74 of file icmp.h.

u16_t icmp_echo_hdr::seqno

Definition at line 75 of file icmp.h.

u8_t icmp_echo_hdr::type

Definition at line 71 of file icmp.h.

The documentation for this struct was generated from the following files:

- src/sys/include/net/ipv4/icmp.h
- src/sys/include/net/ipv6/icmp.h